# Account

WEMIX3.0 계정은 WEMIX 블록체인에서 트랜잭션을 보낼 수 있는 WEMIX 잔액이 있는 개체입니다. 본 장에서는 사용자가 직접 제어하는 EOA (Externally-Owned Account) 생성 및 잔고확인 방법에 대해 설명합니다.

## 계정 생성 <a href="#create-account" id="create-account"></a>

계정 파일은 keystore 디렉토리에 생성됩니다. 새로운 계정을 생성하기 위해서는 다음과 같은 명령을 사용합니다.

```
gwemix wemix new-account --out <account-file-name>
```

{% hint style="info" %}
MetaMask를 이용하면 `gwemix`를 직접 설치하지 않고도 편리하게 새로운 계정을 생성할 수 있습니다. [MetaMask 사용하기](/ko/quick-start/account/use-metamask.md)를 통하여 지갑생성 및 WEMIX3.0 네트워크 설정이 가능합니다.
{% endhint %}

## 계정 가져오기 <a href="#import-account" id="import-account"></a>

외부에서 생성한 계정파일도 keystore 디렉토리에 복사하여 사용할 수 있습니다.&#x20;

```
mkdir {data_directory}/keystore
chmod 700 {data_directory}/keystore
cp <account-file-name> {data_directory}/keystore
```

## 계정 잔고 확인 <a href="#check-account-balance" id="check-account-balance"></a>

gwemix console에 접속하여 다음의 명령을 실행하면 잔고를 확인할 수 있습니다.

```
eth.getBalance('{your_address}')
```

gwemix console은 JavaScript console이므로 keystore에 있는 모든 주소의 잔고를 읽어오는 JavaScript 함수를 이용하면 모든 잔고를 하나의 함수로 읽어올 수 있습니다.

```
function checkAllBalances() { 
var i = 0; 
eth.accounts.forEach( function(e){
     console.log("eth.accounts["+i+"]: " + e + " \tbalance: " + web3.fromWei(eth.getBalance(e), "ether") + " ether"); 
i++; 
})
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wemix.com/ko/quick-start/account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
